io.vertx.rxjava.servicediscovery.spi

## Class ServiceImporter

- java.lang.Object
- - io.vertx.rxjava.servicediscovery.spi.ServiceImporter

-     public class ServiceImporter
      extends Object

  The service importer allows integrate other discovery technologies with the Vert.x service discovery. It maps entries from another technology to a and maps to a publication in this other technology. The importer is one side of a service discovery bridge.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceImporter(ServiceImporter delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getDelegate()`
    `static ServiceImporter` | `newInstance(ServiceImporter arg)`
    `void` | `start(Vertx vertx, ServicePublisher publisher, JsonObject configuration, Future<Void> future)` Starts the bridge.
    `void` | `stop(Vertx vertx, ServicePublisher publisher, Future<Void> future)` Stops the bridge.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceImporter

          public ServiceImporter(ServiceImporter delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### start

          public void start(Vertx vertx,
                            ServicePublisher publisher,
                            JsonObject configuration,
                            Future<Void> future)

      Starts the bridge.
      Parameters:
        `vertx` - the vertx instance
        `publisher` - the service discovery instance
        `configuration` - the bridge configuration if any
        `future` - a future on which the bridge must report the completion of the starting

    - #### stop

          public void stop(Vertx vertx,
                           ServicePublisher publisher,
                           Future<Void> future)

      Stops the bridge.
      Parameters:
        `vertx` - the vertx instance
        `publisher` - the service discovery instance
        `future` - the future on which the bridge must report the completion of the stopping process

    - #### newInstance

          public static ServiceImporter newInstance(ServiceImporter arg)

Copyright © 2016. All rights reserved.